<?php
/**
 * Class MassDeleteListForm
 * User: Nessandro
 * Date: 2019-10-11
 * Time: 11:23
 * @package ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Forms
 */

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Forms;


use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Providers\DeleteListDataProvider;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\FormConstants;

class MassDeleteListForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteListForm';
    protected $name  = 'massDeleteListForm';
    protected $title = 'massDeleteListForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteListDataProvider();

        $this->setConfirmMessage('MassDeleteListFormConfirm');

        $this->loadDataToForm();
    }

}